Class Fox::FXGLVisual

In: | FXGLVisual.rb
Parent: | FXVisual

Visual describes pixel format of a drawable

Methods

accelerated? doubleBuffered? new stereo?

Attributes

accumAlphaSize | [RW] | Requested number of bits of alpha for the accumulation buffer (default is zero) [Integer]
accumBlueSize | [RW] | Requested number of bits of blue for the accumulation buffer (default is zero) [Integer]
accumGreenSize | [RW] | Requested number of bits of green for the accumulation buffer (default is zero) [Integer]
accumRedSize | [RW] | Requested number of bits of red for the accumulation buffer (default is zero) [Integer]
actualAccumAlphaSize | [R] | Actual number of bits of alpha for the accumulation buffer [Integer]
actualAccumBlueSize | [R] | Actual number of bits of blue for the accumulation buffer [Integer]
actualAccumGreenSize | [R] | Actual number of bits of green for the accumulation buffer [Integer]
actualAccumRedSize | [R] | Actual number of bits of red for the accumulation buffer [Integer]
actualAlphaSize | [R] | Actual number of bits of alpha [Integer]
actualBlueSize | [R] | Actual number of bits of blue [Integer]
actualDepthSize | [R] | Actual depth size [Integer]
actualGreenSize | [R] | Actual number of bits of green [Integer]
actualRedSize | [R] | Actual number of bits of red [Integer]
actualStencilSize | [R] | Actual stencil size [Integer]
alphaSize | [RW] | Requested number of bits of alpha (default is zero) [Integer]
blueSize | [RW] | Requested number of bits of blue (default is 8) [Integer]
depthSize | [RW] | Requested depth size (default is 16) [Integer]
greenSize | [RW] | Requested number of bits of green (default is 8) [Integer]
redSize | [RW] | Requested number of bits of red (default is 8) [Integer]
stencilSize | [RW] | Requested stencil size (default is zero) [Integer]

Public Class methods

new(app, flags) {|theGLVisual| ...}

Construct default visual

Public Instance methods

doubleBuffered?()

Return `true` if double-buffered

stereo?()

Return `true` if stereo

accelerated?()

Return `true` if hardware-accelerated